Subject: [bug#54829] Re: [bug#54829] [PATCH 0/2] Update Emacs to 28.1 and add socket activation

From: tumashu <[email-masked]>
Date: Sat, 30 Apr 2022 05:56:01 +0800 (CST)

--
发自我的网易邮箱手机智能版
<br/><br/><br/>

----- Original Message -----
From: "Liliana Marie Prikler" <[email-masked]>
To: "Feng Shu" <[email-masked]>
Cc: "Ludovic Courtès" <[email-masked]>, "Maxime Devos" <[email-masked]>, [email-masked], zimoun <[email-masked]>
Sent: Fri, 29 Apr 2022 20:53:03 +0200
Subject: Re: [bug#54829] [PATCH 0/2] Update Emacs to 28.1 and add socket activation

Am Freitag, dem 29.04.2022 um 11:22 +0800 schrieb Feng Shu:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Hi,
> > 
> > Am Donnerstag, dem 28.04.2022 um 14:15 +0200 schrieb Ludovic
> > Courtès:
> > > Perhaps you can push to a ‘wip-emacs-28’ branch, and then ping me
> > > or another admin on #guix so we can tell ci.guix to build it. 
> > > Once it’s built and we don’t see regressions, we can merge in
> > > ‘master’ (should take a day or two at most I suppose).
> > I pushed an ‘emacs-28’ branch (dropped the ‘wip-’ by accident), in
> > which emacs, emacs-next and emacs-next-pgtk are all updated. 
> > Native
> 
> What about add --with-xinput2 emacs-next, use version 2 of the X
> Input Extension for input
I'm probably not up to date to all the Emacs stuff, but given that
"guix show xinput" only delivers 1.6, I don't think that's relevant

yet.  Or is it?

no, i think it use X11/extensions/XInput2.h